import { ConfirmOptions, PublicKey } from '@solana/web3.js';
import { Collection, Uses } from '@metaplex-foundation/mpl-token-metadata';
import { Metaplex } from '../../Metaplex';
import { Operation, Signer, OperationHandler, Creator, BigNumber } from '../../types';
import { Option, TransactionBuilder } from '../../utils';
import { SendAndConfirmTransactionResponse } from '../rpcModule';
declare const Key: "AddMetadataOperation";
export declare const addMetadataOperation: import("../../types").OperationConstructor<AddMetadataOperation, "AddMetadataOperation", AddMetadataInput, AddMetadataOutput>;
export declare type AddMetadataOperation = Operation<typeof Key, AddMetadataInput, AddMetadataOutput>;
export interface AddMetadataInput {
    mint: PublicKey;
    payer?: Signer;
    updateAuthority?: PublicKey;
    mintAuthority?: Signer;
    uri: string;
    name: string;
    sellerFeeBasisPoints: number;
    symbol?: string;
    creators?: Creator[];
    isMutable?: boolean;
    maxSupply?: Option<BigNumber>;
    collection?: Option<Collection>;
    uses?: Option<Uses>;
    confirmOptions?: ConfirmOptions;
}
export interface AddMetadataOutput {
    response: SendAndConfirmTransactionResponse;
    metadataAddress: PublicKey;
}
export declare const addMetadataOperationHandler: OperationHandler<AddMetadataOperation>;
export declare type AddMetadataBuilderParams = Omit<AddMetadataInput, 'confirmOptions'> & {
    createMetadataInstructionKey?: string;
};
export declare type AddMetadataBuilderContext = Omit<AddMetadataOutput, 'response'>;
export declare const addMetadataBuilder: (metaplex: Metaplex, params: AddMetadataBuilderParams) => TransactionBuilder<AddMetadataBuilderContext>;
export {};
